Quali moduli vengono precompilati e disponibile per l’integrazione esterna?

Vengono resi disponili moduli pre-compilati per l’integrazione di numerosi moduli esterni per il linguaggio di scripting PHP. Le varie versioni disponibili per i moduli PHP sono elencate qui sotto.

I moduli disponibilie per PHP 4 I moduli disponibili per PHP 5 e PHP 7
  • curl.so
  • imap.so
  • ioncube_loader_lin_4.4.so
  • ldap.so
  • mbstring.so
  • mcrypt.so
  • mime_magic.so
  • ncurses.so
  • pgsql.so
  • sockets.so
  • xmlrpc.so
  • zip.so
  • curl.so
  • imagick.so
  • imap.so
  • intl.so
  • PHP 5.2: ioncube_loader_lin_5.2.so
  • PHP 5.3: ioncube_loader_lin_5.3.so
  • PHP 5.4: ioncube_loader_lin_5.4.so
  • PHP 5.5: ioncube_loader_lin_5.5.so
  • PHP 5.6: ioncube_loader_lin_5.6.so
  • PHP 7.0: ioncube_loader_lin_7.0.so
  • ldap.so
  • mailparse.so
  • mbstring.so
  • mcrypt.so
  • memcache.so (only PHP 5 – from 5.3)
  • mime_magic.so
  • mysqlind.so (already compiled from PHP 5.4)
  • mysqlnd.so (already compiled from PHP 5.4)
  • ncurses.so
  • oauth.so
  • pgsql.so
  • soap.so
  • sockets.so
  • suhosin.so (only PHP 5)
  • suhosin7.so (only PHP 7)
  • tidy.so
  • xmlrpc.so
  • zip.so (already compiled from PHP 5.4)

ATTENZIONE: La preghiamo di notare che molti dei moduli integrabili esternamente nel “STANDARD” – “e” STANDARD Avanzate ” di PHP sono già compilati e un integrazione non é neccessaria. Se necessita di un modulo per un’edizione “STANDARD” o “EXTENDED”, consigliamo di di verificare in primo luogo se il modulo è già disponibile di base.